SELECT * FROM vendadados 
WHERE vendadados.codigovenda NOT IN (SELECT codigo FROM venda where vendadados.codigovenda = venda.codigo)


delete FROM vendadados 
WHERE vendadados.codigovenda NOT IN (SELECT codigo FROM venda where vendadados.codigovenda = venda.codigo)